[build-system]
requires = ["setuptools>=42", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "FScanpy"
version = "1.0.0"
description = "PRF prediction tool"
authors = [{name = "FScanpy Developer", email = "example@example.com"}]
dependencies = [
    "numpy",
    "pandas",
    "tensorflow",
    "scikit-learn",
    "wrapt>=1.10.11"
]
requires-python = ">=3.7"

[tool.setuptools]
packages = ["FScanpy", "FScanpy.features"]
include-package-data = true

[tool.setuptools.package-data]
"FScanpy.data" = ["test_data/*"]